.loader {
    width: 48px;
    height: 48px;
    border: 5px solid #FFF;
    border-bottom-color: #FF3D00;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

.loader_parent {
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    z-index: 1111111;
    pointer-events: none;
}

.loader_parent.blurred {
    display: block;
}

.blurred ~ * {
    filter: blur(3px);
}

.centeredOverlay {
    position: absolute;
    background-color: rgba(255, 0, 0, 0.3);
    /*dim the background*/
    top:0;
    left:0;
    width:100%;
    height:100%;
    color:black;
    text-align: center;
}

.centered-element {
    margin: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}


.wrapper {
    position: relative;
    border-style:solid;
    border-width: 1px;
    border-color: red;
}


.x-container {
    display: flex;
    align-items: center;
    justify-content: center;
}
